version: "3.7"

services:
 pytorch-ssh:
    container_name: pytorch-ssh
    image: micc/pytorch-develop-ssh:latest
    env_file:
      - pytorch.env
    ports:
      - "${SSH_PORT}:22"
    restart: unless-stopped
    build:
      context: ..
      dockerfile: dockerfiles/Dockerfile-ssh
      args:
        - USER_ID=$PUID
    volumes:
      - $CODE:/code:ro
      - $INPUT:/input:ro
      - $OUTPUT:/output:rw
    runtime: nvidia
